<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.energy.manage.service.mappers.datatransfertype.DataTransferTypeMapper">
    <resultMap id="resultMap" type="com.energy.manage.common.po.datatransfer.DataTransferTypePo">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="transferType" column="transfer_type" jdbcType="VARCHAR"/>
        <result property="transferTypeName" column="transfer_type_name" jdbcType="VARCHAR"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
    </resultMap>
    <sql id="BASE_SQL">
        transfer_type,
        transfer_type_name
    </sql>
    <select id="selectAllInfo" resultType="com.energy.manage.service.domain.vo.datatransfer.DataTransferTypeVo">
        SELECT
        <include refid="BASE_SQL"/>
        FROM data_transfer_type
    </select>
</mapper>
